@use "@/theme/base.scss";

#toasts {
  --toast-anim-time: 200ms;

  position: fixed;
  top: var(--spacing);
  right: var(--spacing);
  display: flex;
  flex-direction: column;
  gap: var(--spacing);
  z-index: 9999;
  &:empty {
    pointer-events: none;
  }
}

.toast {
  @include base.elevated-box;
  background: var(--contrast);
  color: var(--contrast-inverse);
  padding: var(--spacing);
  z-index: 9999;
  animation: var(--toast-anim-time) toast-in ease-in-out;
  will-change: max-height, transform, margin-bottom, opacity;
  top: 0;
  transform-origin: top left;
  min-width: calc(min(320px, 80vw));
  max-width: calc(100vw - var(--spacing) * 2); // font-size: 0.75em;
  vertical-align: center;
  &[data-popping="true"] {
    animation: var(--toast-anim-time) toast-out ease-in-out;
  }
}

.buttons {
  margin-left: var(--spacing);
  float: right;
  display: flex;
  flex-direction: row;
  gap: var(--spacing);
}

.toastContents {
  > p:last-child {
    margin: 0;
  }
}

@keyframes toast-in {
  from {
    transform: translateY(800px);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes toast-out {
  from {
    transform: translateY(0px);
    opacity: 1;
  }
  to {
    transform: translateY(-800px);
    opacity: 0;
  }
}
